Subject: [6lo] problematic *normative* references to RFC4541 (MLD snooping) from draft-ietf-6lo-btle and draft-ietf-6lo-dect-ule

From: Gabriel Montenegro <[email-masked]>
Date: Fri, 20 Feb 2015 19:31:28 +0000

Hello authors of draft-ietf-6lo-btle and draft-ietf-6lo-dect-ule,

Both of your drafts have problematic normative references to an informative document, namely RFC4541 (IGMP/MLD snooping).

Any document that aspires to become a proposed standard will have an issue if it has normative references to an informational document. This is what the IDnits say:

     (See RFCs 3967 and 4897 for information about using normative references
     to lower-maturity documents in RFCs)

As you'll see, exceptions to this rule are possible. I'd think that an exception for this particular document of IGMP/MLD snooping would be harder than most.

So, I would urge you to reconsider if this needs to be a normative reference. Making it an informative reference would clear this potential roadblock.

Please take a look at the documents that reference RFC4541: http://datatracker.ietf.org/doc/rfc4541/referencedby/

You'll notice no *standards track* RFC's have normative references to it. A previous example of an IP-over-foo document that references it is rfc5692<http://datatracker.ietf.org/doc/rfc5692/> (I remember it as I was the co-chair for that WG). You might want to look at that example. In particular, you'll notice that normative language (SHOULD, MAY, MUST, etc) was avoided when referring to it.

Ralph was the responsible AD for rfc5692 so he might have some more input on this.

Thanks,

Gabriel (with co-chair hat on)